libaaruformat 1.0 Aaru Data Preservation Suite - Format Library

Loading...
Searching...
No Matches
TapeFileHashEntry Struct Reference

`#include <aaruformat/context.h>`

## Data Fields
uint64_t | key
| Composite key: partition << 32 | file.
TapeFileEntry | fileEntry
| The actual tape file data.
UT_hash_handle | hh
| UTHASH handle.

## Detailed Description

Definition at line 126 of file context.h.

## Field Documentation

## ◆ fileEntry

TapeFileEntry TapeFileHashEntry::fileEntry

The actual tape file data.

Definition at line 129 of file context.h.

Referenced by aaruf_get_all_tape_files(), aaruf_get_tape_file(), aaruf_set_tape_file(), process_tape_files_block(), and write_tape_file_block().

## ◆ hh

UT_hash_handle TapeFileHashEntry::hh

UTHASH handle.

Definition at line 130 of file context.h.

## ◆ key

uint64_t TapeFileHashEntry::key

Composite key: partition << 32 | file.

Definition at line 128 of file context.h.

Referenced by aaruf_set_tape_file(), and process_tape_files_block().

The documentation for this struct was generated from the following file:

- include/aaruformat/context.h